import java.io.*;
import java.util.*;
import java.math.*;

public class jedivssith_ab implements Runnable {

	final int MAXN = 100;
	final int MAXF = 1000;
	
	private void solve() throws IOException {
		int n = in.nextInt();
		assert 1 <= n && n <= MAXN;
		int[] s = new int[n];
		int[] d = new int[n];
		process(s, 1);
		process(d, 1);
		process(s, -1);
		process(d, -1);
		
		int l = 0;
		int r = Integer.MAX_VALUE / 2;
		
		boolean bad = false;
		for (int i = 0; i < n; ++i) {
			int a = s[i];
			int b = d[i];
			if (b > 0) {
				l = Math.max(l, ceildiv(-a, b));
			} else if (b < 0) {
				r = Math.min(r, floordiv(-a, b));
			} else if (a < 0) {
				bad = true;
			}
		}
		if (bad || l > r) {
			out.println("Strong is dark side of the force.");
		} else {
			out.println(l);
		}
	}
	
	int ceildiv(int a, int b) {
		return (int)Math.round(Math.ceil(a * 1.0 / b));
	}
	
	int floordiv(int a, int b) {
		return (int)Math.round(Math.floor(a * 1.0 / b));
	}

	void process(int[] v, int t) {
		for (int i = 0; i < v.length; ++i) {
			int a = in.nextInt();
			assert 0 <= a && a <= MAXF;
			v[i] += t * a;
		}
	}
	
	final String FILE_NAME = "jedivssith";

	SimpleScanner in;
	PrintWriter out;

	@Override
	public void run() {
		try {
			in = new SimpleScanner(new FileReader(FILE_NAME + ".in"));
			out = new PrintWriter(FILE_NAME + ".out");
			solve();
			out.close();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(-1);
		}
	}

	public static void main(String[] args) {
		new Thread(new jedivssith_ab()).start();
	}

	class SimpleScanner extends BufferedReader {

		private StringTokenizer st;
		private boolean eof;

		public SimpleScanner(Reader a) {
			super(a);
		}

		String next() {
			while (st == null || !st.hasMoreElements()) {
				try {
					st = new StringTokenizer(readLine());
				} catch (Exception e) {
					eof = true;
					return "";
				}
			}
			return st.nextToken();
		}

		boolean seekEof() {
			String s = next();
			if ("".equals(s) && eof)
				return true;
			st = new StringTokenizer(s + " " + st.toString());
			return false;
		}

		private String cnv(String s) {
			if (s.length() == 0)
				return "0";
			return s;
		}

		int nextInt() {
			return Integer.parseInt(cnv(next()));
		}

		double nextDouble() {
			return Double.parseDouble(cnv(next()));
		}

		long nextLong() {
			return Long.parseLong(cnv(next()));
		}
	}
}