import java.io.*;
import java.math.BigInteger;
import java.util.*;

public class gen_jedivssith implements Runnable {
	public static void main(String[] args) {
		if (args.length < 1) {
			for (I = 1; (new File(getName(I) + ".t")).exists(); I++)
				;
		} else {
			if (args[0].equals("stress")) {
				STRESS_MODE = true;
				if (args.length >= 2) {
					FNAME = args[1];
				} else {
					FNAME = "01";
				}
			} else {
				I = Integer.parseInt(args[0]);
			}
		}
		new Thread(new gen_jedivssith()).start();
	}

	PrintWriter out;

	Random rand = new Random(6439586L);

	static int I;

	static boolean STRESS_MODE;
	static String FNAME;

	static String getName(int i) {
		return ((i < 10) ? "0" : "") + i;
	}

	void open() {
		try {
			if (STRESS_MODE) {
				out = new PrintWriter(FNAME);
			} else {
				while ((new File(getName(I) + ".t")).exists()) {
					++I;
				}
				System.out.println("Generating test " + I);
				out = new PrintWriter(getName(I));
			}
		} catch (FileNotFoundException e) {
			e.printStackTrace();
			System.exit(-1);
		}
	}

	void close() {
		out.close();
		I++;
	}

	final String ALPHA = "abcdefghijklmnopqrstuvwxyz";

	String randString(int len, String alpha) {
		StringBuilder ans = new StringBuilder();
		int k = alpha.length();
		for (int i = 0; i < len; i++) {
			ans.append(alpha.charAt(rand.nextInt(k)));
		}
		return ans.toString();
	}

	long rand(long l, long r) {
		return l + (rand.nextLong() >>> 1) % (r - l + 1);
	}

	int rand(int l, int r) {
		return l + rand.nextInt(r - l + 1);
	}

	void write(int[] v) {
		for (int i = 0; i < v.length; ++i) {
			if (i > 0) {
				out.print(" ");
			}
			out.print(v[i]);
		}
		out.println();
	}
	
	void genRand(int n, int M) {
		open();
		out.println(n);
		for (int j = 0; j < 4; ++j) {
			for (int i = 0; i < n; ++i) {
				if (i > 0) {
					out.print(" ");
				}
				out.print(rand(0, M));
			}
			out.println();
		}
		close();
	}
	
	
	void genTest(int n, int M) {
		int x = rand(0, M);
		int[] s1 = new int[n];
		int[] j1 = new int[n];
		int[] s2 = new int[n];
		int[] j2 = new int[n];
		for (int i = 0; i < n; ++i) {
			while (true) {
				s1[i] = rand(0, M);
				j1[i] = rand(0, M);
				s2[i] = rand(0, M);
				j2[i] = rand(0, M);
				if (s1[i] + j1[i] * x >= s2[i] + j2[i] * x) break;
			}
		}
		open();
		out.println(n);
		write(s1);
		write(j1);
		write(s2);
		write(j2);		
		close();
	}

	public void solve() throws IOException {
		for (int i = 0; i < 5; ++i) {
			genTest(rand(3, 7), 10);
		}
		/*for (int i = 0; i < 1; ++i) {
			genRand(rand(5, 10), 10);
		}*/
		for (int i = 0; i < 1; ++i) {
			genRand(rand(90, 100), 1000);
		}
		for (int i = 0; i < 4; ++i) {
			genTest(rand(90, 100), 1000);
		}
		genTest(100, 1000);
	}

	void myAssert(boolean e) {
		if (!e) {
			throw new Error("Assertion failed");
		}
	}

	public void run() {
		try {
			solve();
		} catch (Throwable e) {
			e.printStackTrace();
			System.exit(-1);
		}
	}
}